Skip to main content
GET
/
activity
/
statistics
/
totals
Ruby
Helo.configure do |config|
  config.access_token = "YOUR_BEARER_TOKEN"
end

opts = {
  channel_id: "550e8400-e29b-41d4-a716-446655440000",
  from: "2024-01-01T00:00:00Z",
  to: "2024-01-01T00:00:00Z",
  tags: ["example1", "example2"]
}
Helo::Statistics.retrieve_totals(opts)
{
  "transactional": {
    "sent": 123,
    "delivered": 123,
    "opened": 123,
    "clicked": 123,
    "bounced": 123,
    "unsubscribed": 123,
    "complained": 123
  },
  "broadcast": {
    "sent": 123,
    "delivered": 123,
    "opened": 123,
    "clicked": 123,
    "bounced": 123,
    "unsubscribed": 123,
    "complained": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

channelId
string<uuid>
from
string<date-time>
required
to
string<date-time>
required
tags
string[]

Response

OK

transactional
object
broadcast
object